#!/bin/bash

. ../lib.sh

repo=`mktemp -d`
output=`mktemp`

mkdir $repo/subdir1 $repo/subdir2
prepare_input ../input $repo/subdir2/input

git init $repo
git -C $repo config user.email "clime@redhat.com"
git -C $repo config user.name "clime"
git -C $repo remote add origin https://pagure.io/clime/test.git

touch output && cp output $output
wtree_sub $repo $output

generic_test opts='--dump-spec-only' path=$repo/subdir1 input=$repo/subdir2/input expected_output=$output expected_log=log copy_only=$1

rm -rf $repo
rm $output
